#!/bin/sh
#
# start/stop hiJack dameon

if ! [ -x /usr/bin/hiJack ]; then
	exit 0
fi

case "$1" in
    start)
	echo -n "Starting hiJack daemon"
	echo -n " hiJack" ; start-stop-daemon -S -x /usr/bin/hiJack > /dev/null &
	echo "."
	;;
    stop)
	echo -n "Stopping hiJack daemon"
	echo -n " hiJack" ; start-stop-daemon -K -x /usr/bin/hiJack > /dev/null
	echo "."
	;;
    restart)
	echo -n "Restarting hiJack daemon"
	echo -n " hiJack "
	killall -HUP hiJack
	echo "."
	;;
    *)
	echo "Usage: /etc/init.d/hiJack {start|stop|restart}"
	exit 1
	;;
esac

exit 0

